from pulumi_aws import ssm
from cloudlib.utils.names import IdentifierV2


def parameter(name, value, type="String", **kwargs):
    ssm.Parameter(resource_name=IdentifierV2("parameter" + name).snake, name=name, value=value, type=type, **kwargs)


def parameter_plain(name, value, type="String", **kwargs):
    ssm.Parameter(
        resource_name=IdentifierV2("parameter" + name).snake, name=name, insecure_value=value, type=type, **kwargs
    )
